import { select, range, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';
const svg = select('svg');

const height =  +svg.attr('height')

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon','lime','orange'])
  .range(['#c41e1c', '#eae600','green','orange']);

svg.append('g')
  .attr('transform',`translate(100,${height / 3.5})`)
  .call(colorLegend, {
 colorScale,
  spacing:90,
  circleRadius:50,
  textOffset:130,
  }) 

const sizeScale = scaleSqrt()
			.domain([0,10])
			.range([0,50])

svg.append('g')
  .attr('transform',`translate(600,100)`)
  .call(sizeLegend, {
 sizeScale,
  spacing:100,
  textOffset:50,
  numTicks:5,
  color:'red'
  }) 
