export const sizeLegend = (selection, props) => {
  const { sizeScale, spacing, textOffset, numTicks, color } = props;
  
  const ticks = sizeScale.ticks(numTicks).filter(x => x !== 0)
  
  
  const groups = selection.selectAll('g')
    .data(ticks);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0,${i * spacing})`
      );
  groups.exit().remove();
  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', sizeScale)
      .attr('fill', color);

  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
  		.attr('dy','0.32em')
      .attr('x', d => sizeScale(d)/2 + textOffset);
}

